<?php
include('cfg.php');

if($user['login'] != "")
{
$var=explode(",",$_SERVER['QUERY_STRING']);

switch ($var[0]) {

case "send_msg":
$to_whom=$_POST[to_whom];
$array=mysql_fetch_array(mysql_query("SELECT * FROM users WHERE login='$to_whom'"));
if($array['rank'] != "Админ")
{
$to_whom_id=$_POST[to_whom_id];
$what=htmlspecialchars($_POST[what]);
if($user['msg_send'] < $time)
{
	//Проверка опций
	if($array['o_msg'] == "all" || $user['rank'] == "Админ")
	{
send_mess($to_whom,$what,$user[login],$id);
$n_time=$time+60;
mysql_query("UPDATE users SET msg_send='$n_time' WHERE id='$id'");
echo $style;

include('header.php');
echo '<div class="money">';
echo '<a href="game.php"><b>Обновить</b></a><br />';
echo 'Сообщение отправлено!';
include('footer.php');
	}
	elseif($array['o_msg'] == "enemy_no")
	{
		$enemy = mysql_query("SELECT * FROM speak WHERE login='$array[login]' AND status='Enemy' AND whom_id='$id'");
	    if(mysql_num_rows($enemy) == 0)
	    {
		if (($time-$user['msg_send']) > '60')
			{
			if (($user['time_reg']+3600) > $time) 
				{
				echo 'Вы не можете писать в игре. Вам необходимо ждать час после регистрации.<br/>';
				}
			else {
send_mess($to_whom,$what,$user[login],$id);
$n_time=$time+60;
mysql_query("UPDATE users SET msg_send='$n_time' WHERE id='$id'");
echo $style;
include('header.php');
echo '<a href="game.php"><b>Обновить</b></a><br />';
echo 'Сообщение отправлено!';
include('footer.php');
				}
			} else echo 'Вы не можете отправлять сообщения. Подождите '.($time-$user['msg_send']);
	    }
	    else
	    {
	    echo $style;
		include('header.php');
		echo '<a href="game.php"><b>Обновить</b></a><br />';
		echo 'Игроку могут писать "все кроме врагов", а вы находитесь в списке врагов';
		include('footer.php');
	    }
	}
	elseif($array['o_msg'] == "friends")
	{
		$friends = mysql_query("SELECT * FROM alies WHERE al_1='$id' AND al_2='$pl[id]'");
	    if(mysql_num_rows($friends) == 1)
	    {
send_mess($to_whom,$what,$user[login],$id);
$n_time=$time+60;
mysql_query("UPDATE users SET msg_send='$n_time' WHERE id='$id'");
echo $style;
include('header.php');
echo '<a href="game.php"><b>Обновить</b></a><br />';
echo 'Сообщение отправленоа!';
include('footer.php');
	    }
	    else
	    {
	    echo $style;
		include('header.php');
		echo '<a href="game.php"><b>Обновить</b></a><br />';
		echo 'Игроку могут писать лишь друзья, а вы не находитесь в списке друзей у игрока';
		include('footer.php');
	    }
	}
}


}
else
{
if($user[rank] == "Админ")
{
$to_whom_id=$_POST[to_whom_id];
$what=htmlspecialchars($_POST[what]);
echo $style;
include('header.php');
echo '<div class="money">';
if($time > $user['msg_sent'])
{
send_mess($to_whom,$what,$user[login],$id);
$n_time=$time+60;
mysql_query("UPDATE `users` SET `msg_send`='$n_time' WHERE `id`='$id'");




echo '<div class="menu"><a href="move.php?main">Главная</a>/<a href="input.php">Входящие</a></div><a href="game.php"><b>Обновить</b></a><br />';
echo 'Сообщение отправлено!';
} else echo 'Антиспам. Подождите '.($user['msg_send']-$time);
echo '</div>';
include('footer.php');

	}
	else
	{	echo $style;
include('header.php');
echo '<div class="money">';
echo '<div class="menu"><a href="move.php?main">Главная</a>/<a href="input.php">Входящие</a></div>Вы неможете писать админу, обратитесь через форум!';
echo '</div>';
include('footer.php');
	}
}

    break;
  case "del_msg":
echo $style;
include('header.php');
	if($var[1] == "all")
	{
	    $type=$var[2];
	    if($type == "input")
	    {
		mysql_query("UPDATE msg SET input='0' WHERE to_whom_id='$id'");
		}
		else
		{
        mysql_query("UPDATE msg SET output='0' WHERE by_whom_id='$id'");
		}
		echo '<div class="info">Сообщения удалены!</div>';

	}
	else
	{
	$type=$var[2];
	mysql_query("UPDATE msg SET $type='0' WHERE id='$var[1]'");
	echo 'Сообщение удалено!';
	}
echo '<a class="razd" href="msg.php">'.$iback.' Назад</a>';
include('footer.php');
    break;
  case "answ_msg":
echo $style;
include('header.php');
$whom=mysql_fetch_array(mysql_query("SELECT * FROM users WHERE id='$var[1]'"));
$id_s_s = abs($var[1]);
if ($id_s_s != '0' AND $whom[defeat]=='0')
	{
	$id_s_s = abs($var[1]);
	$strana = mysql_fetch_array(mysql_query("SELECT `country` FROM `users` WHERE `id`=$id_s_s"));
	echo '<div class="money"><small>Сообщение для страны '.$strana[country].'</small>';
	}
if ($user['msg_send'] < $time)
	{
	if (($user['time_reg']+3600) > $time) 
				{
				echo '<div class="money">Вы не можете писать в игре. Вам необходимо ждать час после регистрации.</div>';
				} else {
echo '<div class="money">
<form action="func.php?send_msg" method="post">
Кому:<br />
<input name="to_whom" type="text" value="'.$whom[login].'"><br />
<input name="to_whom_id" type="hidden" value="'.$whom[id].'">
Текст:<br />
<textarea name="what" rows=5 cols=20 wrap="on"></textarea>
<br />
<input type="submit" value="Отправить">
</form>
</div></div>
';						}
	} else echo '<br /><div class="money">Антиспам. Подождите '.(intval($user['msg_send']-$time)).' сек.</div></div>';
include('footer.php');
    break;

  case "":
echo $style;
include('header.php');
include('footer.php');
    break;
	}

}
else
{header('location:index.php');
}
?>